#!/usr/bin/env python
# -*- coding=utf-8 -*-

class Data(object):
    u""" for one data """
    def __init__(self, line):
        self.X = [ ]
        elems = line.split()
        for i in range(len(elems) - 1):
            self.X.append(float(elems[i]))
        self.y = int(elems[len(elems) - 1])

    def __str__(self):
        res = ""
        for x in self.X:
            res += " " + str(x)
        res += " : " + str(self.y)
        return(res)

class Dataframe(object):
    u""" a list of data """
    def __init__(self, fileName):
        self.df = [ ]
        with open(fileName, "r") as f:
            lines = f.readlines()
            for line in lines:
                data = Data(line)
                self.df.append(data)

    def size(self):
        return(len(self.df))

    def __str__(self):
        res = ""
        for d in self.df:
            res += str(d) + "\n"
        return(res)

if __name__ == "__main__":
    dataframe = Dataframe("ex1.csv")

    print dataframe
